#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( libtdegames )

add_subdirectory( carddecks )
add_subdirectory( highscore )
add_subdirectory( kgame )
add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### tdegames (shared) #########################

tde_add_library( tdegames SHARED AUTOMOC
  SOURCES kcarddialog.cpp kstdgameaction.cpp kgamemisc.cpp kchatbase.cpp
    kchat.cpp kchatdialog.cpp kgameprogress.cpp kcanvasrootpixmap.cpp
    kgamelcd.cpp
  VERSION 1.2.0
  EMBED khighscore-static kgame-static kgamedialogs-static
  LINK tdecore-shared tdeui-shared tdednssd-shared tdeio-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### headers ###################################

install( FILES
    kgamemisc.h kcarddialog.h kstdgameaction.h kchatbase.h kchat.h
    kchatdialog.h kgameprogress.h kcanvasrootpixmap.h kgamelcd.h kgrid2d.h
  DESTINATION ${INCLUDE_INSTALL_DIR}
)


##### install import cmake modules ###############

tde_install_export( )


##### other data

string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_EXEC_PREFIX ${EXEC_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )

configure_file( ${PROJECT_NAME}.pc.cmake ${PROJECT_NAME}.pc @ONLY )

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc
    DESTINATION ${PKGCONFIG_INSTALL_DIR}
)

